<? if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) die();

// получение банера
$IblockId=25;// инфоблок баннера
$arResult['BANNER']=[];
$arFilter = Array(
    "IBLOCK_ID"=>$IblockId,
    "ACTIVE"=>"Y",

);
$res = CIBlockElement::GetList(Array(), $arFilter, false, array('nTopCount'=>1), $arSelect);
while($ob = $res->GetNextElement()) {
    $arItem = $ob->GetFields();
    $arItem['PREVIEW_PICTURE']= CFile::GetFileArray($arItem['PREVIEW_PICTURE']);
    $arItem['DETAIL_PICTURE']= CFile::GetFileArray($arItem['DETAIL_PICTURE']);
    $arItem['PROPERTIES'] = $ob->GetProperties();
    // Создаем экземпляр класса для работы с наследуемыми свойствами элементов инфоблока
    $ipropElementValues = new \Bitrix\Iblock\InheritedProperty\ElementValues($IblockId, $arItem['ID']);

// Получаем значения наследуемых свойств элемента
    $pageProperties = $ipropElementValues->getValues();

// Устанавливаем заголовок страницы
    $APPLICATION->SetTitle($seoFromElement['ELEMENT_PAGE_TITLE']);
// Устанавливаем мета-тег title
    $APPLICATION->SetPageProperty('title', $seoFromElement['ELEMENT_META_TITLE']);
    $arResult['BANNER']=$arItem;



}
// получение тегов
$iblockId = 28 ;

$arResult['SPECIALS'] = [];
$arSelect = array("ID", "IBLOCK_ID", "NAME", "PROPERTY_LINK");//IBLOCK_ID и ID обязательно должны быть
$arFilter = array("IBLOCK_ID" => $iblockId, "ACTIVE" => "Y");
$res = CIBlockElement::GetList(array("SORT"=>"ASC"), $arFilter, false, false, $arSelect);
while ($ob = $res->GetNextElement()) {
    $arFields = $ob->GetFields();
    $arResult['SPECIALS'][] = $arFields;
}


unset($arResult['ITEMS']);
$arResult['SECTIONS']=ProductMenu(11,"PROPERTY_SORT_PRODUCT");

$arResult['TAG']=tags(76, 486,"экосистема");










